Bug 450667 - hplip missing dependency in fedora repo
hplip missing dependency in fedora repo
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 07:02 EDT by Bjorge Solli
Modified: 2014-01-21 01:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 13:10:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bjorge Solli 2008-06-10 07:02:24 EDT
Description of problem:
hplip is missing a dep.
From yum:
hplip-2.8.2-2.fc9.i386 from fedora has depsolving problems
  --> Missing Dependency: hpijs = 1:2.8.2-2.fc9 is needed by package
hplip-2.8.2-2.fc9.i386 (fedora)
hplip-2.8.2-2.fc9.i386 from fedora has depsolving problems
  --> Missing Dependency: libhpmud.so.0 is needed by package
hplip-2.8.2-2.fc9.i386 (fedora)
Error: Missing Dependency: hpijs = 1:2.8.2-2.fc9 is needed by package
hplip-2.8.2-2.fc9.i386 (fedora)
Error: Missing Dependency: libhpmud.so.0 is needed by package
hplip-2.8.2-2.fc9.i386 (fedora)

The machine has been booted once after install.
Comment 1 Tim Waugh 2008-06-10 07:09:43 EDT
How was the machine installed, and what yum command gave those errors?
Comment 2 Bjorge Solli 2008-06-10 07:23:47 EDT
kickstart

yum groupinstall "Printing Support"

I note that after some more packages are in place (a lot) it works fine to do it
manually. The error is from a firstboot-script that installs packages not
installed by the kickstart script. The kickstart script installs these packages:
%packages
@base
@core
cracklib-dicts
rmt
tzdata
ntp
@system-tools
@hardware-support
@base-x
@admin-tools
vbetool
audit
urw-fonts
xorg-x11-fonts-ISO8859-1-100dpi
gpgme
pax
gnupg2

So the install is very minimal when yum tries to install "Printing Support",
even though our firstboot script installs some packages before atempting at the
"Printing Support", more precisely:
"X Window System"

Hope this helps.
Comment 3 Tim Waugh 2008-06-10 07:43:52 EDT
Sounds like a bad mirror.  Changing component to yum for further analysis.
Comment 4 Bjorge Solli 2008-06-10 07:53:56 EDT
The mirror is local, so that might be the case. We mirror the (official)
ftp.uninett.no every two hours. I am not sure if we (ftp.uib.no) are an official
mirror. Kickstart uses
url --url
ftp://ftp.uib.no/pub/Linux/Distributions/fedora/linux/releases/9/Fedora/i386/os

There is a x86_64 version too, but Im' currently only trying on 32-bit.

The actual kickstart file is this one:
http://ks.uib.no/mirrorprod/fc9/i386/client.ks
Comment 5 Bjorge Solli 2008-06-10 07:54:52 EDT
I can try on a different mirror of you give me one you believe to be correct.
Comment 6 seth vidal 2008-06-11 14:05:06 EDT
Try using any other mirror or check again now and see if your mirror has caught up.
Comment 7 Bjorge Solli 2008-06-14 10:36:02 EDT
I tried again on our mirror. It still fails.

I tried directly on the main ftp-server at RedHat, but it was too slow/not
responding, so I changed to
ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/releases/9/Fedora/i386/os
as it seems they mirror directly from redhat.

It resulted in the same error.
Comment 8 Seth Vidal 2008-06-16 14:38:53 EDT
run this:

yum list hpijs hplip

and report the output so I can understand what you're seeing.

Comment 9 Bjorge Solli 2008-06-20 05:14:57 EDT
hpijs.i386                               1:2.8.2-2.fc9          fedora          
hplip.i386                               2.8.2-2.fc9            fedora  

Sorry for the late answer.
Comment 10 Bjorge Solli 2008-06-20 09:03:10 EDT
I did verify the problem once more now, but I realised I can successfully do a
yum groupinstall "Printing Support" 
after the installation is finished. What this means I don't know.
Comment 11 James Antill 2008-08-07 14:56:03 EDT
 Can you try this with the 3.2.18 that's just gone into updates-testing ... if that fails can you post the "yum -d 8" output of the printing install?
Comment 12 Bjorge Solli 2008-08-12 07:46:17 EDT
(In reply to comment #11)

I cannot find 3.2.18 in updates-testing, am I missing something?

# yum -d 8
Loading "firefoxwarn" plugin
Loading "refresh-packagekit" plugin
Loaded plugins: firefoxwarn, refresh-packagekit
Config time: 0.441
Yum Version: 3.2.17
COMMAND: yum -d 8 
Installroot: /
Comment 13 Bjorge Solli 2008-08-12 08:25:34 EDT
I found a src.rpm and rebuilded it myself, but it occurs to me that I have no way of testing this as it is not in the install repo to be used when reinstalling.
Comment 14 seth vidal 2009-01-21 13:10:54 EST
If you find it still happens or something similar happens, please open a new bug. I think the set of circumstances causing this bug are passed.

Note You need to log in before you can comment on or make changes to this bug.